org.jboss.jca.common.api.metadata.resourceadapter

## Enum ConnectionDefinition.Attribute

- java.lang.Object
- - java.lang.Enum<ConnectionDefinition.Attribute>
  - - org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition.Attribute

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionDefinition.Attribute>
  Enclosing interface:
    ConnectionDefinition

      public static enum ConnectionDefinition.Attribute
      extends java.lang.Enum<ConnectionDefinition.Attribute>

  An attribute
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS_NAME` class-name attribute
    `CONNECTABLE` connectable attribute
    `ENABLED` enabled attribute
    `ENLISTMENT` enlistment attribute
    `ENLISTMENT_TRACE` enlistment trace attribute
    `JNDI_NAME` jndiName attribute
    `MCP` mcp attribute
    `POOL_NAME` pool-name attribute
    `SHARABLE` sharable attribute
    `TRACKING` tracking attribute
    `UNKNOWN` always first
    `USE_CCM` use-ccm attribute
    `USE_JAVA_CONTEXT` use-java-context attribute

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionDefinition.Attribute` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionDefinition.Attribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionDefinition.Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionDefinition.Attribute UNKNOWN

      always first

    - #### JNDI_NAME

          public static final ConnectionDefinition.Attribute JNDI_NAME

      jndiName attribute

    - #### CLASS_NAME

          public static final ConnectionDefinition.Attribute CLASS_NAME

      class-name attribute

    - #### POOL_NAME

          public static final ConnectionDefinition.Attribute POOL_NAME

      pool-name attribute

    - #### ENABLED

          public static final ConnectionDefinition.Attribute ENABLED

      enabled attribute

    - #### USE_JAVA_CONTEXT

          public static final ConnectionDefinition.Attribute USE_JAVA_CONTEXT

      use-java-context attribute

    - #### USE_CCM

          public static final ConnectionDefinition.Attribute USE_CCM

      use-ccm attribute

    - #### SHARABLE

          public static final ConnectionDefinition.Attribute SHARABLE

      sharable attribute

    - #### ENLISTMENT

          public static final ConnectionDefinition.Attribute ENLISTMENT

      enlistment attribute

    - #### CONNECTABLE

          public static final ConnectionDefinition.Attribute CONNECTABLE

      connectable attribute

    - #### TRACKING

          public static final ConnectionDefinition.Attribute TRACKING

      tracking attribute

    - #### MCP

          public static final ConnectionDefinition.Attribute MCP

      mcp attribute

    - #### ENLISTMENT_TRACE

          public static final ConnectionDefinition.Attribute ENLISTMENT_TRACE

      enlistment trace attribute

  - ### Method Detail

    - #### values

          public static ConnectionDefinition.Attribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionDefinition.Attribute c : ConnectionDefinition.Attribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionDefinition.Attribute valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionDefinition.Attribute>`

    - #### forName

          public static ConnectionDefinition.Attribute forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)